Subject: RE: Where can I get Cygwin 20.1b?
From: Michael Nelson <[email-masked]>
To: "'Carl Thompson'" <[email-masked]>, Bradley Smith <[email-masked]>
Cc: Cygwin List <[email-masked]>
Date: Thu, 15 Jun 2000 18:52:06 -0400

> That's a complicated question.  Essentially, the MS engineers 
> were on crack
> when they designed Windows DLLs. 
> 
> [long discussion]

Use of dllimport is unnecessary, just link with the import lib.

> PPS: I've heard you can do the same thing using separate 
> ".DEF" files, 
>      but I don't know about that.

This is what most people do. 

> PPPS: None of this is necessary with reasonable operating 
> systems, such
>       as Unix or Linux.  The compiler and linker automatically export
>       and import all externally visible symbols when building or using
>       DLLs (shared libraries).  You don't even need a separate import
>       library.

The drawback with "reasonable" operating systems is that all of your
internal guts are exposed to the world. For some that is a disadvantage. 

-mike

--
Want to unsubscribe from this list?
Send a message to [email-masked]